using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using System.Xml; 
using System.Xml.Serialization;  
using Syncfusion.XmlSerializersCreator; 

using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Edit;
using Syncfusion.Windows.Forms.Edit.Enums;
using Syncfusion.Windows.Forms.Edit.Dialogs;
using Syncfusion.Windows.Forms.Edit.Implementation;
using Syncfusion.Windows.Forms.Edit.Implementation.IO;
using Syncfusion.Windows.Forms.Edit.Implementation.Parser;
using Syncfusion.Windows.Forms.Edit.Implementation.Config;
using Syncfusion.Windows.Forms.Edit.Implementation.Formatting;
using Syncfusion.Windows.Forms.Edit.Interfaces;
using Syncfusion.Windows.Forms.Edit.Utils;

 
namespace XMLSerialization
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.XmlSerializersCreator.XmlSerializersCreator xmlserializer;   
		private ArrayList array;
		private Syncfusion.Windows.Forms.Edit.EditControl editControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format format;
		private Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage configlanguage; 
		string filePath = Path.GetDirectoryName(Application.ExecutablePath) + @"\..\..\CS\";


        
		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			
		// Code to create serializers
			array=new ArrayList ();
			array.AddRange(new Type[]{typeof(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem),typeof(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage),typeof(Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format),typeof(Syncfusion.Windows.Forms.Edit.Enums.KnownLanguages),typeof(Syncfusion.Windows.Forms.Edit.Enums.OutliningTooltipShowMode)}); 
		    xmlserializer=new Syncfusion.XmlSerializersCreator.XmlSerializersCreator(filePath,"XMLSerialization",array);
		    xmlserializer.CreateSerializers();
		
		    
						
			configlanguage=new ConfigLanguage("customLanguage");
			            
			format=new Format("Keyword");
			format.FontColor=Color.Blue;
			format.Font= new Font(this.editControl1.Font.FontFamily,20);
			
			ConfigLexem configLexem = new ConfigLexem("this","", FormatType.Custom,true);
			configLexem.IsBeginRegex = false;
			configLexem.FormatName = "Keyword";
		  			
			XmlSerializer serializewrapper1=SerializersManager.GetSerializer(typeof(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem));
		    XmlSerializer serializewrapper2=SerializersManager.GetSerializer(typeof(Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format)); 
			XmlSerializer serializewrapper3=SerializersManager.GetSerializer(typeof(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage)); 
			
			this.editControl1.Language=(IConfigLanguage)configlanguage;
			this.editControl1.Language.Lexems.Add(configLexem); 
	
			StreamWriter configlexemwriter = new StreamWriter("..\\..\\configlexem.xml");
			serializewrapper1.Serialize(configlexemwriter,configLexem); 
			configlexemwriter.Close(); 
			
			StreamWriter formatwriter = new StreamWriter("..\\..\\Format.xml");
			serializewrapper2.Serialize(formatwriter,format); 
			formatwriter.Close(); 

			StreamWriter languagewriter = new StreamWriter("..\\..\\language.xml");
			serializewrapper3.Serialize(languagewriter,configlanguage); 
			languagewriter.Close(); 
			
			FileStream formatreader = new FileStream("..\\..\\Format.xml", FileMode.Open);
			FileStream configlexemreader = new FileStream("..\\..\\configlexem.xml", FileMode.Open);
            
          
    		Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format deserializedformat = (Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format) serializewrapper2.Deserialize(formatreader);
            Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem deserializedconfiglexem=(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem)serializewrapper1.Deserialize(configlexemreader); 
			
            
			this.editControl1.Text=deserializedformat.ToString()+"\n"+deserializedconfiglexem.ToString();
			 
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.editControl1 = new Syncfusion.Windows.Forms.Edit.EditControl();
			((System.ComponentModel.ISupportInitialize)(this.editControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// editControl1
			// 
			this.editControl1.ChangedLinesMarkingLineColor = System.Drawing.Color.White;
			this.editControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.editControl1.Location = new System.Drawing.Point(0, 0);
			this.editControl1.Name = "editControl1";
			this.editControl1.Size = new System.Drawing.Size(292, 266);
			this.editControl1.StatusBarSettings.EncodingPanel.MinWidth = 0;
			this.editControl1.StatusBarSettings.StatusPanel.MinWidth = 70;
			this.editControl1.StatusBarSettings.TextPanel.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.editControl1.TabIndex = 0;
			this.editControl1.Text = "this";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.editControl1);
			this.Name = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.editControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
