Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports System.IO
Imports System.Xml
Imports System.Xml.Serialization
Imports Syncfusion.XmlSerializersCreator

Imports Syncfusion.Windows.Forms
Imports Syncfusion.Windows.Forms.Edit
Imports Syncfusion.Windows.Forms.Edit.Enums
Imports Syncfusion.Windows.Forms.Edit.Dialogs
Imports Syncfusion.Windows.Forms.Edit.Implementation
Imports Syncfusion.Windows.Forms.Edit.Implementation.IO
Imports Syncfusion.Windows.Forms.Edit.Implementation.Parser
Imports Syncfusion.Windows.Forms.Edit.Implementation.Config
Imports Syncfusion.Windows.Forms.Edit.Implementation.Formatting
Imports Syncfusion.Windows.Forms.Edit.Interfaces
Imports Syncfusion.Windows.Forms.Edit.Utils


Namespace XMLSerialization
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1 : Inherits System.Windows.Forms.Form
		Private xmlserializer As Syncfusion.XmlSerializersCreator.XmlSerializersCreator
		Private array As ArrayList
		Private editControl1 As Syncfusion.Windows.Forms.Edit.EditControl
		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing
		Private format As Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format
        Private configlanguage As Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage
        Private filePath As String = Path.GetDirectoryName(Application.ExecutablePath) + "\..\..\VB\"



		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()

		' Code to create serializers
            array = New ArrayList
            array.AddRange(New Type() {GetType(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem), GetType(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage), GetType(Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format), GetType(Syncfusion.Windows.Forms.Edit.Enums.KnownLanguages), GetType(Syncfusion.Windows.Forms.Edit.Enums.OutliningTooltipShowMode)})
            xmlserializer = New Syncfusion.XmlSerializersCreator.XmlSerializersCreator(filePath, "XMLSerialization", array)
            xmlserializer.CreateSerializers()



			configlanguage = New ConfigLanguage("customLanguage")
		
            format = New format("Keyword")
			format.FontColor=Color.Blue
			format.Font= New Font(Me.editControl1.Font.FontFamily,20)

			Dim configLexem As ConfigLexem = New ConfigLexem("this","", FormatType.Custom,True)
			configLexem.IsBeginRegex = False
			configLexem.FormatName = "Keyword"

			Dim serializewrapper1 As XmlSerializer=SerializersManager.GetSerializer(GetType(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem))
			Dim serializewrapper2 As XmlSerializer=SerializersManager.GetSerializer(GetType(Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format))
			Dim serializewrapper3 As XmlSerializer=SerializersManager.GetSerializer(GetType(Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLanguage))

			Me.editControl1.Language=CType(configlanguage, IConfigLanguage)
			Me.editControl1.Language.Lexems.Add(configLexem)

			Dim configlexemwriter As StreamWriter = New StreamWriter("..\..\configlexem.xml")
			serializewrapper1.Serialize(configlexemwriter,configLexem)
			configlexemwriter.Close()

			Dim formatwriter As StreamWriter = New StreamWriter("..\..\Format.xml")
			serializewrapper2.Serialize(formatwriter,format)
			formatwriter.Close()

			Dim languagewriter As StreamWriter = New StreamWriter("..\..\language.xml")
			serializewrapper3.Serialize(languagewriter,configlanguage)
			languagewriter.Close()

			Dim formatreader As FileStream = New FileStream("..\..\Format.xml", FileMode.Open)
			Dim configlexemreader As FileStream = New FileStream("..\..\configlexem.xml", FileMode.Open)


			Dim deserializedformat As Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format = CType(serializewrapper2.Deserialize(formatreader), Syncfusion.Windows.Forms.Edit.Implementation.Formatting.Format)
			Dim deserializedconfiglexem As Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem=CType(serializewrapper1.Deserialize(configlexemreader), Syncfusion.Windows.Forms.Edit.Implementation.Config.ConfigLexem)


			Me.editControl1.Text=deserializedformat.ToString()+Constants.vbLf+deserializedconfiglexem.ToString()

			'
			' TODO: Add any constructor code after InitializeComponent call
			'
		End Sub

		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not components Is Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Me.editControl1 = New Syncfusion.Windows.Forms.Edit.EditControl()
			CType(Me.editControl1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.SuspendLayout()
			' 
			' editControl1
			' 
			Me.editControl1.ChangedLinesMarkingLineColor = System.Drawing.Color.White
			Me.editControl1.Dock = System.Windows.Forms.DockStyle.Fill
			Me.editControl1.Location = New System.Drawing.Point(0, 0)
			Me.editControl1.Name = "editControl1"
			Me.editControl1.Size = New System.Drawing.Size(292, 266)
			Me.editControl1.StatusBarSettings.EncodingPanel.MinWidth = 0
			Me.editControl1.StatusBarSettings.StatusPanel.MinWidth = 70
			Me.editControl1.StatusBarSettings.TextPanel.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring
			Me.editControl1.TabIndex = 0
			Me.editControl1.Text = "this"
			' 
			' Form1
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(292, 266)
			Me.Controls.Add(Me.editControl1)
			Me.Name = "Form1"
			CType(Me.editControl1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.ResumeLayout(False)

		End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub
	End Class
End Namespace
